Bug 15168 - Remove C4::Serials::ItemizeSerials which is not used anymore
Summary: Remove C4::Serials::ItemizeSerials which is not used anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14969
  Show dependency treegraph
 
Reported: 2015-11-11 08:55 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15168: Remove C4:Serials::ItemizeSerials (8.35 KB, patch)
2015-11-11 09:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15168: Remove C4:Serials::ItemizeSerials (8.53 KB, patch)
2015-11-11 10:29 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 15168: Remove C4:Serials::ItemizeSerials (8.59 KB, patch)
2015-11-11 21:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15168: (followup) remove useless diags (2.61 KB, patch)
2015-11-17 18:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-11-11 08:55:14 UTC

    
Comment 1 Jonathan Druart 2015-11-11 09:00:30 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-11-11 10:29:38 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-11 21:17:32 UTC
Created attachment 44778 [details] [review]
[PASSED QA] Bug 15168: Remove C4:Serials::ItemizeSerials

This subroutine has been introduced in 2006, when C4::Serials has been
added to the codebase.
If you checkout this commit
commit 18d2cd099085e443d713a1546e029faa81481814
Date:   Fri Jul 7 08:45:47 2006 +0000
    this file replace C4/Bull.pm

You won't find any occurrences of this subroutine neither.

Interesting module's name by the way.

Test plan:
  git grep ItemizeSerials
should not return any result

Followed test plan, no results found.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-17 18:51:10 UTC
Created attachment 44935 [details] [review]
Bug 15168: (followup) remove useless diags

While testing this bug I noticed the tests printed useless diags.
This patch removes them for good.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2015-11-17 18:52:33 UTC
Patch pushed to master.

Thanks Jonathan!